#### D.4.19.4 modDec

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  modDec (N[, i]); module N, int i

Return:
  list l
  a minimal primary decomposition of N
  computed by an generalized version of the algorithm of Shimoyama/Yokoyama,
  if i=1 is given, the factorizing Groebner basis algorithm is used internally.

Example:

    LIB "mprimdec.lib";
    ring r=0,(x,y,z),dp;
    module N=x*gen(1)+ y*gen(2),
    x*gen(1)-x2*gen(2);
    list l=modDec(N);
    l;
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=x*gen(1)+y*gen(2)
    ==>       _[2]=x*gen(2)-gen(1)
    ==>    [2]:
    ==>       _[1]=x2+y
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=gen(2)
    ==>       _[2]=x*gen(1)
    ==>    [2]:
    ==>       _[1]=x

User manual for Singular version 4.4.1, 2025, generated by texi2html.